package com.zcloud.mapper.dsno2.corp;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：企业管理
 * 作者：luoxiaobao
 * 时间：2020-12-24
 * 官网：www.zcloudchina.com
 */
public interface MaintenanceUserInfoMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);
	void saveTrial(PageData pd);
	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);
	void editIsReceive(PageData pd);
	void updateISuse(PageData pd);
	void updateuse(PageData pd);
	void editStatus(PageData pd);
	void goStop(PageData pd);
	void deleteStop(PageData pd);
	void goFormal(PageData pd);
	void deleteTrial(PageData pd);

	PageData findBytrialId(PageData pd);
	void editStartStatus(PageData pd);
	void editTrialStatus(PageData pd);
	void goStart(PageData pd);
	void deleteStart(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	List<PageData> usedCorplistPage(Page page);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> corplistPage(Page page);
	List<PageData> corpstoplistPage(Page page);
	List<PageData> corptriallistPage(Page page);
	List<PageData> smallAuditlistPage(Page page);
	/**资源库企业列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> reslistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	PageData findByName(PageData pd);

	List<PageData>listByCorpType (PageData pd);

	Integer findCount (String string);

	/**查询所有企业ID
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getAllCorpId(PageData pd);


	/**修改交付信息
	 * @param pd
	 * @throws Exception
	 */
	void editDeliver(PageData pd);

	/**查询所有交付企业
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findAllUsedCorp(PageData pd);

	/**市场管理-指定人员-修改项目负责人
	 * @throws Exception
	 */
    void editImplementPerson(PageData pd);

	/**设置回访
	 * @throws Exception
	 */
	void setVisitConfig(PageData pd);
	/**
	 * 更改四类人员
	 * @return
	 * @throws Exception
	 */
    void changePersonnel(PageData pd);
}

